#
# spec file for package Mesa-demo
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           Mesa-demo
Version:        8.3.0
Release:        lp152.3.7
Summary:        Mesa demo programs for the OpenGL stack
License:        MIT
Group:          Development/Tools/Other
Url:            http://www.mesa3d.org
Source0:        ftp://ftp.freedesktop.org/pub/mesa/demos/%{version}/mesa-demos-%{version}.tar.bz2
Source1:        ftp://ftp.freedesktop.org/pub/mesa/demos/%{version}/mesa-demos-%{version}.tar.bz2.sig
Source2:        %{name}.keyring
BuildRequires:  autoconf >= 2.59
BuildRequires:  automake
BuildRequires:  freeglut-devel
BuildRequires:  gcc-c++
BuildRequires:  glew-devel
BuildRequires:  libexpat-devel
BuildRequires:  libtool
BuildRequires:  pkgconfig
BuildRequires:  pkgconfig(gl)
BuildRequires:  pkgconfig(glesv1_cm)
BuildRequires:  pkgconfig(glesv2)
BuildRequires:  pkgconfig(glew)
BuildRequires:  pkgconfig(glu)
BuildRequires:  pkgconfig(x11)
BuildRequires:  pkgconfig(xext)
Obsoletes:      %name-egl
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Mesa is a 3-D graphics library with an API which is very similar to
that of OpenGL.* To the extent that Mesa utilizes the OpenGL command
syntax or state machine, it is being used with authorization from
Silicon Graphics, Inc.(SGI). However, the author does not possess an
OpenGL license from SGI, and makes no claim that Mesa is in any way a
compatible replacement for OpenGL or associated with SGI. Those who
want a licensed implementation of OpenGL should contact a licensed
vendor.

Please do not refer to the library as MesaGL (for legal reasons). It's
just Mesa or The Mesa 3-D graphics library.

This package contains the demos shipped with Mesa.

* OpenGL is a trademark of Silicon Graphics Incorporated.

%package x
Summary:        GLX-based demos
Group:          Development/Tools/Other

%description x
This package contains some common GLX-based demos.

%prep
%setup -q -n mesa-demos-%{version} -b0

%build
autoreconf -fi
%configure --bindir=%{_libdir}/mesa-demos/bin \
           --enable-gles1 \
           --enable-gles2
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_libdir}
cp -r src %{buildroot}%{_libdir}/mesa-demos
find %{buildroot}%{_libdir}/mesa-demos -depth \( -name Makefile\* -o -name .\?\?\* -o -name \*.\[acho] \) -exec rm -rf \{\} +
find %{buildroot}%{_libdir}/mesa-demos -depth -type d -exec rmdir --ignore-fail-on-non-empty \{\} +
find %{buildroot}%{_libdir}/mesa-demos -name \*.py -exec chmod 755 \{\} +
chmod -R go=rX %{buildroot}/usr
mkdir -p %{buildroot}/%{_bindir}
ln -s %{_libdir}/mesa-demos/xdemos/glxgears %{buildroot}/%{_bindir}/glxgears
ln -s %{_libdir}/mesa-demos/xdemos/glxinfo %{buildroot}/%{_bindir}/glxinfo
ln -s %{_libdir}/mesa-demos/xdemos/pbinfo %{buildroot}/%{_bindir}/pbinfo

%files
%defattr(-,root,root)
%{_libdir}/mesa-demos
%exclude %{_libdir}/mesa-demos/xdemos/glxgears
%exclude %{_libdir}/mesa-demos/xdemos/glxinfo
%exclude %{_libdir}/mesa-demos/xdemos/pbinfo

%files x
%defattr(-,root,root)
%dir %{_libdir}/mesa-demos/
%dir %{_libdir}/mesa-demos/xdemos/
%{_libdir}/mesa-demos/xdemos/glxgears
%{_libdir}/mesa-demos/xdemos/glxinfo
%{_libdir}/mesa-demos/xdemos/pbinfo
%{_bindir}/glxgears
%{_bindir}/glxinfo
%{_bindir}/pbinfo

%changelog
* Mon May 29 2017 sndirsch@suse.com
- includes everything needed for missing sle issue entries:
  fate #315643-315645, 319159-319161, 319618 (bsc#1041312)
* Mon Jan 30 2017 jengelh@inai.de
- Update RPM group; use faster find+ variant.
* Thu Dec 10 2015 sndirsch@suse.com
- Update to version 8.3.0
  * This new mesa-demos release fixes the build issue against
    mesa 10.6 (Bug #91643) and picks up the latest glxinfo
    changes.
- supersedes u_mesa-demos_missing-libs.diff
- no longer disable egl build
* Wed Jun 24 2015 sndirsch@suse.com
- disabled egl build due to Mesa's removal of skeleton
  implementation of EGL_MESA_screen_surface with release 10.6.0
- removed egl subpackage
* Mon Mar 16 2015 mpluskal@suse.com
- Use url for source
- Add gpg signature
- Cleanup spec file with spec-cleaner
* Wed Jul  9 2014 sndirsch@suse.com
- Update to version 8.2.0
  * This new mesa-demos release fixes the build issue against mesa
    10.2 (fdo#78101) and picks up the latest glxinfo changes.
- obsoletes patches:
  * U_drawtex-resolve-glDrawTexfOES-extension-function.patch
  * u_drawtex-fixed-compiler-warnings-related-to-use-of-eg.patch
* Thu May  8 2014 sndirsch@suse.com
- U_drawtex-resolve-glDrawTexfOES-extension-function.patch
  * drawtex: resolve glDrawTexfOES extension function; fixes build
    with latest Mesa 10.2-rc1 (fdo#78101)
- u_drawtex-fixed-compiler-warnings-related-to-use-of-eg.patch
  * fixes fatal compiler warnings
* Sat Jun 15 2013 hrvoje.senjan@gmail.com
- Enable build of gles{1,2} and egl info, and symlink them to
  %%_bindir
- Split egl dir into separate subpackage
* Wed May  1 2013 opensuse@cboltz.de
- let Mesa-demo-x own /usr/lib*/mesa-demos/ and /usr/lib*/mesa-demos/xdemos/
* Sun Feb 24 2013 hrvoje.senjan@gmail.com
- Update to version 8.1.0
  * changes for OpenGL Core Profile
  * Wayland support within eglut
  * various updates to the OpenGL tests/demos
  * glxgears now supports multi-sample visuals
  * new EGL/OpenVG tests
  * large number of other changes
* Tue Sep 25 2012 sndirsch@suse.com
- reverted previous change; seems this is no longer necessary
* Mon Sep 24 2012 sndirsch@suse.com
- fixed build by replacing these strange osdemo{,16,32} scripts
  by the proper binaries
* Thu May 10 2012 sndirsch@suse.com
- fixed build by making use of autoreconf
* Thu Mar 15 2012 sndirsch@suse.com
- added "-x" subpackage for most common GLX-based demos like
  glxgears, glxinfo, pbinfo (bnc #748373)
* Mon Feb 13 2012 jengelh@medozas.de
- Update package BuildRequires to use pkgconfig symbols
* Wed Feb  8 2012 sndirsch@suse.com
- renamed package to Mesa-demo
- spefile cleanup
* Tue Jan 24 2012 sndirsch@suse.com
- renamed package to MesaDemos
* Thu Jan 12 2012 cfarrell@suse.com
- license update: MIT
  SPDX format
* Wed Jan 11 2012 sndirsch@suse.com
- added automake to BuildRequires to build fix on factory
* Mon Aug 29 2011 sndirsch@suse.com
- u_mesa-demos_missing-libs.diff
  * xeglthreads no longer can rely on the toolchain to add the
    required libs, it uses directly.
* Thu Oct 28 2010 mhopf@novell.com
- Change filesystem layout to something more sane
- Package all required non-binary data
* Thu Oct 28 2010 mhopf@novell.com
- Initial package for version 8.0.1
